Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class SubFolder

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.SubFolder

Direct Known Subclasses:
  Folder, FolderTree

public class SubFolder
extends java.lang.Object

SubFolder
Cette classe permet de manipuler les informations relatives à un dossier
en faisant abstraction des répertoires et des documents qu'il contient et de son chemin
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`SubFolder()` Constructeur

Method Summary
`java.lang.String` | `getId()` L'identifiant de ce dossier
`java.lang.String` | `getIntranet()` L'intranet de ce dossier
`java.lang.String` | `getName()` Le nom de ce dossier
`java.lang.String` | `getParent()` Le dossier parent
`void` | `setId(java.lang.String id)` L'identifiant de ce dossier
`void` | `setIntranet(java.lang.String intranet)` L'intranet de ce dossier
`void` | `setName(java.lang.String name)` Le nom de ce dossier
`void` | `setParent(java.lang.String parent)` Le dossier parent
`java.lang.String` | `toXMLString()` La représentation XML de ce dossier

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubFolder

    public SubFolder()

  Constructeur

Method Detail

### getId

    public java.lang.String getId()

  L'identifiant de ce dossier

  Returns:

### setId

    public void setId(java.lang.String id)

  L'identifiant de ce dossier

  Parameters:
    `id` -

### getName

    public java.lang.String getName()

  Le nom de ce dossier

  Returns:

### setName

    public void setName(java.lang.String name)

  Le nom de ce dossier

  Parameters:
    `name` -

### getIntranet

    public java.lang.String getIntranet()

  L'intranet de ce dossier

  Returns:

### setIntranet

    public void setIntranet(java.lang.String intranet)

  L'intranet de ce dossier

  Parameters:
    `intranet` -

### getParent

    public java.lang.String getParent()

  Le dossier parent

  Returns:

### setParent

    public void setParent(java.lang.String parent)

  Le dossier parent

  Parameters:
    `parent` -

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de ce dossier

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD